%global modname ply
%global sum Python Lex-Yacc
%global desc \
PLY is a straightforward lex/yacc implementation. Here is a list of its \
essential features: \
* It is implemented entirely in Python. \
* It uses LR-parsing which is reasonably efficient and well suited for larger \
  grammars. \
* PLY provides most of the standard lex/yacc features including support \
  for empty productions, precedence rules, error recovery, and support \
  for ambiguous grammars. \
* PLY is straightforward to use and provides very extensive error checking. \
* PLY doesn't try to do anything more or less than provide the basic lex/yacc \
  functionality. In other words, it's not a large parsing framework or a \
  component of some larger system. 


Name:           python3-%{modname}
Summary:        %{sum}
Version:        3.9
Release:        2%{?dist}
License:        BSD
URL:            http://www.dabeaz.com/ply/
Source0:        http://www.dabeaz.com/ply/%{modname}-%{version}.tar.gz
BuildArch:      noarch

%description %{desc}


%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-%{modname}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{modname} %{desc}

Python %{python3_version} version.
%endif


%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{modname}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{modname}}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools

%description -n python%{python3_other_pkgversion}-%{modname} %{desc}

Python %{python3_other_version} version.
%endif


%prep
%autosetup -n %{modname}-%{version}
find example/ -type f -exec chmod -x {} ';'
find example/ -type f -name '*.py' -exec sed -i \
  -e '1{\@^#!/usr/bin/env python@d}' -e '1{\@^#!/usr/local/bin/python@d}' \
  {} ';'
rm -rf *.egg-info


%build
%py3_build
%py3_other_build


%install
%py3_install
%py3_other_install


%check
cd test
./cleanup.sh
%{__python3} testlex.py
%{__python3} testyacc.py
%{__python3_other} testlex.py
%{__python3_other} testyacc.py


%files -n python%{python3_pkgversion}-%{modname}
%doc CHANGES README.md
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*.egg-info/


%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{modname}
%doc CHANGES README.md
%{python3_other_sitelib}/%{modname}/
%{python3_other_sitelib}/%{modname}-%{version}-*.egg-info/
%endif


%changelog
* Thu Oct 19 2017 Aurelien Bompard <abompard@fedoraproject.org> - 3.9-2
- Bulid for python3_other

* Tue Nov 8 2016 Orion Poplawski <orion@cora.nwra.com> - 3.9-1
- Update to 3.9

* Wed Oct 12 2016 Orion Poplawski <orion@cora.nwra.com> - 3.8-1
- Initial EPEL version
